# getShareholdersAndOtherRoles

## getShareholdersAndOtherRoles

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getShareholdersAndOtherRoles`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company current and previous owners, shareholders and other connected persons, such as members of supervisory board, auditors.\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getShareholdersAndOtherRoles' --data '{`\
&#x20;   `"language": "en",`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST" or "LVA". Default is "EST".              |

{% tabs %}
{% tab title="200 " %}

```javascript
[
    {
        "role": "Stockholder",
        "role_code": "S",
        "information_source": "NASDAQ andmed",
        "authority_end_date": null,
        "start_date": "2011-11-11",
        "end_date": null,
        "revision_date": null,
        "control_source": null,
        "control_source_code": null,
        "control_source_date": null,
        "group": null,
        "created_at": "2018-09-13 17:05:17",
        "updated_at": "2018-09-13 17:05:17",
        "active": "active",
        "on_card": false,
        "code": "11111111",
        "person_birth_date": null,
        "person_gener": null,
        "country": "EST",
        "name": "Aktsiaselts ABC",
        "type": "Juridical person",
        "type_code": "J",
        "ownership": "Simple ownership",
        "ownership_code": "L",
        "share_capital_amount": "1111111.11",
        "share_capital_currency": "EUR",
        "share_capital_percent": "100.00",
        "trade_ban": null,
        "tags": []
    },
    {
        "role": "Chairman of the supervisory board",
        "role_code": "E",
        "information_source": null,
        "authority_end_date": null,
        "start_date": "2011-11-11",
        "end_date": null,
        "revision_date": null,
        "control_source": "Electronically submitted (entry) statement",
        "control_source_code": null,
        "control_source_date": null,
        "group": null,
        "created_at": "2018-09-13 17:05:17",
        "updated_at": "2018-09-13 17:05:17",
        "active": "active",
        "on_card": false,
        "code": "11111111111",
        "person_birth_date": "1955-11-11",
        "person_gener": "M",
        "country": "EST",
        "name": "Karl Karll",
        "type": "Physical person",
        "type_code": "F",
        "ownership": null,
        "ownership_code": null,
        "share_capital_amount": null,
        "share_capital_currency": null,
        "share_capital_percent": null,
        "trade_ban": null,
        "tags": []
    }
]
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST and LVA countries are supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bisnode.ee/persons-in-company/getshareholdersandroles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
